BANK KALTENG - Feature #599

TM to Payroll (Bekal Cuti Tahunan)
11/29/2021 04:23 PM - Mega Yunita

Status: Closed Start date: 11/29/2021
Priority: Urgent Due date: 12/27/2021
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.50 hours
Description

Dear Developer and team,

Mohon bantuannya untuk membuat figur :
Bekal Cuti Tahunan

dengan ketentuan :

Uang Cuti Tahunan didapat sebanyak 1x Base yang berasal dari perhitungan :

- Gaji pokok

- Tunjangan jabatan

- Tunjangan kesejahteraan, dan Proporsional (jika belum bekerja selama satu tahun dan minimal bekerja selama 1 bulan)

Untuk Karyawan Tetap/Permanen :

1. Jatah cuti 1 tahun sekali

2. Jatah cuti min 6 hk, maks 12 hk

3. Jika karyawan di hiring pada Januari, maka periode cuti tahunan berlaku antara Januari s/d Desember dan akan mendapat 1x
base

4. Jika karyawan di hiring pada pertengahan, contoh bulan September dan mendapat jatah cuti tahunan sebanyak 8hk dan yang
digunakan hanya 7hk, maka perhitungannya adalah sebanyak 8/12 x 1x base dengan perhitungan Proporsional (prorate).

*Untuk Karyawan Karyawan Kontrak *

1. Sejak bulan hiring sampai 12 bulan ke depan tidak mendapatkan kuota cuti.

2. Mulai berlaku pada bulan ke 13 s/d 12 bulan ke depan baru mendapatkan kuota cuti

3. Mndapat jatah cuti tahunan 1x setahun

4. Kuota min 6hk, maks 12 hk.

5. Berlaku jika jumlah kuota cuti proporsional (prorate) >= 6 hari, maka ketentuan min 6 hk diambil tetap berlaku dan uang cuti
tahunan bisa dibayarkan dengan proporsional (8/12 x 1 x base)

6. Jika jumlah kuota cuti proporsional (prorate) <6 hari, maka ketentuan min 6 hk tidak berlaku dan uang cuti tahunan bisa dibayar
dengan proporsional. (misalnya 4/12 x 1 x base)

Semoga dapat dimengerti dan dipahami,

Terimakasih

History

#1 - 11/30/2021 10:59 AM - Mega Yunita
- Subject changed from TM to Payroll to TM to Payroll (Bekal Cuti Tahunan)

#2 - 12/13/2021 11:42 AM - Kezia Pawitra Yulianti
- Due date set to 12/27/2021

- Status changed from New to Assigned

#3 - 01/11/2022 09:46 AM - M Azid Wahyudi

- Assignee changed from M Azid Wahyudi to Kezia Pawitra Yulianti

mba yaya untuk Bekal Cuti Tahunan
- tolong di buatkan di genparam untuk wagetype base
- tolong dibuatkan contoh perhitungan di dalam excel berserta contoh data employeelD

#4 - 01/19/2022 10:04 AM - Anonymous
- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

- Priority changed from High to Urgent

#5 - 01/19/2022 10:20 AM - Anonymous
- File Perhitungan Bekal Cuti Besar (1).xIsx added

Terlampir ya Mba Yoma contoh perhitungan excelnya.

#6 - 01/19/2022 10:52 AM - Mega Yunita
Untuk Cuti Tahunan:

PHRPYTMTOPYVAR
Variant : 0003
VariantDesc : Bekal Cuti Tahunan

PHRPYTMTOPY

Variant : 0003

Figure : C_BekalCutiTahunan
FieldTarget : AdditionalField1

Figure baru :
PHRPYTMTOPY

Figure : C_AbsType
Variant : 0003

FieldTarget : AbsenceType
FieldReference : ABSTYP

#7 - 01/21/2022 04:27 PM - Mega Yunita
Dear Mbak Yoma,

Ketentuan prorate hanya berlaku untuk pegawai tetap, dan tidak ada kemungkinan di tengah masa kontrak pegawai diangkat menjadi karyawan tetap

(pegawai harus menyelesaikan masa kontrak terlebih dahulu).

#8 - 01/25/2022 05:59 PM - Tri Rizqgiaty
- File TMTOPYCUTITAHUNAN.xIsx added

- File MinovalS.MinovaES.Implementation.BKT.Business. TMToPYVar1.dll added

- Status changed from Assigned to Developing

Fixing :

1. Add ditable PCMEPGENPARAM : sesuai excel terlampir

2. Update table PHRPYTMTOPY, PHRPYTMTOPYVAR, SDATATABLEFIELD, SDATAFIELDREF, SDATAFIELDREFTXT :

3. Add API1 & API2 - bin : MinovalS.MinovaES.Implementation.BKT.Business. TMToPYVar1.dll

#9 - 01/25/2022 05:59 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Mega Yunita

#10 - 04/11/2022 05:02 PM - Mega Yunita
- Status changed from QA Test to Closed

sesuai excel terlampir

Files

Perhitungan Bekal Cuti Besar (1).xIsx 12.4 KB 01/19/2022 Anonymous
TMTOPYCUTITAHUNAN.xIsx 20.5 KB 01/25/2022 Tri Rizqgiaty
MinovalS.MinovaES.Implementation.BKT.Business. TMToPYVar1.dll 15.5 KB 01/25/2022 Tri Rizgiaty
